summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Martin Lefebvre <dadexter@gmail.com>2010-05-13 00:21:35 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:21:35 +0200
commit5e909a611acb8923b73bb4630dcb4580db73cd55 (patch)
tree36909a372365626bfb1447124d98eb3ebe7cde6f /audio
parent86824a6775cb1b3c13756bc4d7a4b94921ce9ef7 (diff)
downloadslackbuilds-5e909a611acb8923b73bb4630dcb4580db73cd55.tar.gz
slackbuilds-5e909a611acb8923b73bb4630dcb4580db73cd55.tar.xz
audio/mp3blaster: Updated for version 3.2.5
Diffstat (limited to 'audio')
-rw-r--r--audio/mp3blaster/mp3blaster.SlackBuild30
-rw-r--r--audio/mp3blaster/mp3blaster.info8
-rw-r--r--audio/mp3blaster/slack-desc12
3 files changed, 30 insertions, 20 deletions
diff --git a/audio/mp3blaster/mp3blaster.SlackBuild b/audio/mp3blaster/mp3blaster.SlackBuild
index 80befc604d..2612b05503 100644
--- a/audio/mp3blaster/mp3blaster.SlackBuild
+++ b/audio/mp3blaster/mp3blaster.SlackBuild
@@ -25,10 +25,11 @@
# Modified by the SlackBuilds.org project
PRGNAM=mp3blaster
-VERSION=3.2.3
+VERSION=3.2.5
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -36,16 +37,23 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R a-s,u+w,go+r-w .
@@ -53,13 +61,12 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man \
- --program-prefix="" \
- --program-suffix="" \
- || exit 1
+ --build=$ARCH-slackware-linux
-make || exit 1
-make install-strip DESTDIR=$PKG || exit 1
+make
+make install-strip DESTDIR=$PKG
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
@@ -67,7 +74,8 @@ make install-strip DESTDIR=$PKG || exit 1
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS BUGS COPYING CREDITS ChangeLog FAQ INSTALL NEWS README TODO \
+cp -a \
+ AUTHORS BUGS COPYING CREDITS ChangeLog FAQ INSTALL NEWS README TODO \
doc/commands.txt doc/sample.mp3blasterrc $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
@@ -75,4 +83,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/mp3blaster/mp3blaster.info b/audio/mp3blaster/mp3blaster.info
index d789566938..6605849588 100644
--- a/audio/mp3blaster/mp3blaster.info
+++ b/audio/mp3blaster/mp3blaster.info
@@ -1,8 +1,10 @@
PRGNAM="mp3blaster"
-VERSION="3.2.3"
+VERSION="3.2.5"
HOMEPAGE="http://mp3blaster.sourceforge.net"
-DOWNLOAD="http://downloads.sourceforge.net/mp3blaster/mp3blaster-3.2.3.tar.gz"
-MD5SUM="0d892d7c99df175eb0efb2bc31086285"
+DOWNLOAD="http://downloads.sourceforge.net/mp3blaster/mp3blaster-3.2.5.tar.gz"
+MD5SUM="edb3bb122553d2d544dfb084010311c6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="Martin Lefebvre"
EMAIL="dadexter@gmail.com"
APPROVED="rworkman"
diff --git a/audio/mp3blaster/slack-desc b/audio/mp3blaster/slack-desc
index 4a92dc8dbc..84e89b8bb6 100644
--- a/audio/mp3blaster/slack-desc
+++ b/audio/mp3blaster/slack-desc
@@ -7,13 +7,13 @@
|-----handy-ruler------------------------------------------------------|
mp3blaster: mp3blaster (media player)
-mp3blaster:
+mp3blaster:
mp3blaster: mp3blaster is a ncurses/CLI media player for mp3/ogg files.
mp3blaster: It supports the same functions other media players have
mp3blaster: without the big memory footprint and the big dependencies.
-mp3blaster:
+mp3blaster:
mp3blaster: Homepage: http://mp3blaster.sourceforge.net
-mp3blaster:
-mp3blaster:
-mp3blaster:
-mp3blaster:
+mp3blaster:
+mp3blaster:
+mp3blaster:
+mp3blaster: